# Outlier Detection

Outlier detection models are treated as any other Model. You can run any saved [Alibi-Detect](https://github.com/SeldonIO/alibi-detect) outlier detection model by adding the requirement `alibi-detect`.

An example outlier detection model from the CIFAR10 image classification example is shown below:

```yaml
# samples/models/cifar10-outlier-detect.yaml
apiVersion: mlops.seldon.io/v1alpha1
kind: Model
metadata:
  name: cifar10-outlier
spec:
  storageUri: "gs://seldon-models/scv2/examples/mlserver_1.3.5/cifar10/outlier-detector"
  requirements:
    - mlserver
    - alibi-detect
```

## Examples

* [CIFAR10 image classification with outlier detector](https://github.com/SeldonIO/seldon-core/blob/release-2.9/examples/cifar10.md)
* [Tabular income classification model with outlier detector](https://github.com/SeldonIO/seldon-core/blob/release-2.9/examples/income.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/v2.9/user-guide/data-science-monitoring/outlier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
